<div>
  <h2 data-cy="OfferedItemHeading" id="page-heading">
    <span jhiTranslate="realTimeBeveragesApp.offeredItem.home.title">Offered Items</span>

    <div class="d-flex justify-content-end">
      <button (click)="load()" [disabled]="isLoading" class="btn btn-info me-2">
        <!--        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>-->
        <span jhiTranslate="realTimeBeveragesApp.offeredItem.home.refreshListLabel">Liste aktualisieren</span>
      </button>

      <button
        [routerLink]="['/offered-item/new']"
        class="btn btn-primary jh-create-entity create-offered-item"
        data-cy="entityCreateButton"
        id="jh-create-entity"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="realTimeBeveragesApp.offeredItem.home.createLabel">Offered Item erstellen</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (offeredItems?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span jhiTranslate="realTimeBeveragesApp.offeredItem.home.notFound">Keine Offered Items gefunden</span>
    </div>
  }

  @if (offeredItems && offeredItems.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [sortState]="sortState" (sortChange)="navigateToWithComponentValues($event)">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span jhiTranslate="global.field.id">ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="name">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.offeredItem.name">Name</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="stock">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.offeredItem.stock">Stock</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="price">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.offeredItem.price">Price</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="hidden">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.offeredItem.hidden">Hidden</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="image">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.offeredItem.image">Image</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (offeredItem of offeredItems; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/offered-item', offeredItem.id, 'view']">{{ offeredItem.id }}</a>
              </td>
              <td>{{ offeredItem.name }}</td>
              <td>{{ offeredItem.stock }}</td>
              <td>{{ offeredItem.price }}</td>
              <td>{{ offeredItem.hidden }}</td>
              <td>
                @if (offeredItem.image) {
                  <a (click)="openFile(offeredItem.image, offeredItem.imageContentType)">
                    <img
                      [src]="'data:' + offeredItem.imageContentType + ';base64,' + offeredItem.image"
                      style="max-height: 30px"
                      alt="offeredItem"
                    />
                  </a>
                  <span>{{ offeredItem.imageContentType }}, {{ byteSize(offeredItem.image) }}</span>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/offered-item', offeredItem.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Details</span>
                  </a>

                  <a [routerLink]="['/offered-item', offeredItem.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Bearbeiten</span>
                  </a>

                  <button type="submit" (click)="delete(offeredItem)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Löschen</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
</div>
